[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#166967: marked as done (libc6: upgrade of libc6 may have broken jabber 1.4.2 server)

Your message dated Fri, 13 Dec 2002 21:04:00 +0900
with message-id <801y4mcehb.wl@oris.opensource.jp>
and subject line libc6: upgrade of libc6 may have broken jabber 1.4.2 server
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 29 Oct 2002 20:03:17 +0000
>From glynis@butterfly.hjsoft.com Tue Oct 29 14:03:16 2002
Return-path: <glynis@butterfly.hjsoft.com>
Received: from dsl-64-192-31-41.telocity.com (butterfly.hjsoft.com) [] (root)
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 186ca3-000658-00; Tue, 29 Oct 2002 14:03:16 -0600
Received: from butterfly.hjsoft.com (glynis@localhost [])
	by butterfly.hjsoft.com (8.12.6/8.12.6/Debian-7) with ESMTP id g9TK3CqS025624
	(version=TLSv1/SSLv3 cipher=EDH-RSA-DES-CBC3-SHA bits=168 verify=FAIL);
	Tue, 29 Oct 2002 15:03:12 -0500
Received: (from glynis@localhost)
	by butterfly.hjsoft.com (8.12.6/8.12.6/Debian-7) id g9TK3C7F025622;
	Tue, 29 Oct 2002 15:03:12 -0500
Message-Id: <200210292003.g9TK3C7F025622@butterfly.hjsoft.com>
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: John M Flinchbaugh <glynis@butterfly.hjsoft.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libc6: upgrade of libc6 may have broken jabber 1.4.2 server
X-Mailer: reportbug 2.8
Date: Tue, 29 Oct 2002 15:03:12 -0500
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=0.6 required=5.0

Package: libc6
Version: 2.3.1-3
Severity: critical
Tags: sid
Justification: breaks unrelated software

after upgrading to this version of libc6, my jabber 1.4.2 server
(built from source) started segfaulting when a user tries to connect.
i rebuilt the binaries against this libc, and it still segfaults.

i played briefly with the jabber debian package, and it too dropped
connections as soon as they started, but i didn't try producing a core
and analyzing it.


backtrace of core file:
Program terminated with signal 11, Segmentation fault.
#0  0x400b2025 in mallopt () from /lib/libc.so.6
#1  0x400b1f17 in mallopt () from /lib/libc.so.6
#2  0x400b0e81 in free () from /lib/libc.so.6
#3  0x4002489d in __pth_tcb_free () from /usr/lib/libpth.so.14
#4  0x40029bf1 in pth_cancel () from /usr/lib/libpth.so.14
#5  0x40029cf6 in pth_abort () from /usr/lib/libpth.so.14
#6  0x0805066f in mio_stop () at mio.c:898
#7  0x080539d6 in _jabberd_shutdown () at jabberd.c:314
#8  0x08053a8e in jabberd_signal () at jabberd.c:345
#9  0x08052f89 in heartbeat (arg=0x0) at heartbeat.c:66
#10 0x4002779e in pth_ctrl () from /usr/lib/libpth.so.14
#11 0x40087b24 in makecontext () from /lib/libc.so.6

$ ldd /usr/local/jabber-1.4.2/jabberd/jabberd
        libpth.so.14 => /usr/lib/libpth.so.14 (0x40020000)
        libdl.so.2 => /lib/libdl.so.2 (0x40034000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x40037000)
        libc.so.6 => /lib/libc.so.6 (0x40047000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux butterfly 2.4.19 #1 SMP Mon Aug 5 00:36:15 EDT 2002 i686

Versions of packages libc6 depends on:
ii  libdb1-compat                 2.1.3-7    The Berkeley database routines [gl

-- no debconf information

Received: (at 166967-done) by bugs.debian.org; 13 Dec 2002 12:04:20 +0000
>From gotom@debian.or.jp Fri Dec 13 06:04:19 2002
Return-path: <gotom@debian.or.jp>
Received: from oris.opensource.jp (oris.opensource.gr.jp) [] (postfix)
	by master.debian.org with esmtp (Exim 3.12 1 (Debian))
	id 18MoYE-0003Dp-00; Fri, 13 Dec 2002 06:04:18 -0600
Received: from oris.opensource.jp (oris.opensource.jp [])
	by oris.opensource.gr.jp (Postfix) with ESMTP id 648DEC33C6
	for <166967-done@bugs.debian.org>; Fri, 13 Dec 2002 21:04:00 +0900 (JST)
Date: Fri, 13 Dec 2002 21:04:00 +0900
Message-ID: <801y4mcehb.wl@oris.opensource.jp>
From: GOTO Masanori <gotom@debian.or.jp>
To: 166967-done@bugs.debian.org
Subject: Re: libc6: upgrade of libc6 may have broken jabber 1.4.2 server
User-Agent: Wanderlust/2.9.9 (Unchained Melody) SEMI/1.14.3 (Ushinoya)
 FLIM/1.14.3 (=?ISO-8859-4?Q?Unebigory=F2mae?=) APEL/10.3 Emacs/21.2
 (i386-debian-linux-gnu) MULE/5.0 (SAKAKI)
MIME-Version: 1.0 (generated by SEMI 1.14.3 - "Ushinoya")
Content-Type: text/plain; charset=US-ASCII
Delivered-To: 166967-done@bugs.debian.org
X-Spam-Status: No, hits=-4.5 required=5.0

> Jamin W. Collins wrote:
> > I've recently built jabber-1.4.2a sources against the Debian
> > libc-2.3.1-5 package and have no problem with my Jabber server.  It
> > would appear the problems the original reporter was having have either
> > been corrected between libc-2.3.1-3 and libc-2.3.1-5 or the problem was
> > caused by something else.
> Thanks for your report. From this report, I think this bug was already
> fixed. If you stil have this problem, please try to check the
> suggestion which Matt Zimmerman (thanks for your analysis) wrote.
> Could I close this bug? 

I close this bug.

-- gotom

Reply to: